Package ru.bitel.bgbilling.modules.hd.server.task

# Class DeleteZonesFromServer

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.modules.hd.server.task.DeleteZonesFromServer

public class DeleteZonesFromServer extends ru.bitel.bgbilling.kernel.task.server.TaskBase
Класс задачи по удалению ненужных зон с сервера ДНС. Удаление происходит не так часто как добавление и в принципе задачу можно запускат раз в сутки или даже реже. СХЕМА: задача берет ВСЕ зоны из базы, создает их файлы и master-файл для них, далее скидывает это все на сервер во временную папку (нужно, если, например, bind подхватит новый master-файл до того, как файлы соответствующих зон успеют скопироваться на сервер), убивает все старые файлы зон и старый master-файл, затем из временной папки берет все и ложит в нужное место, удаляет временную папку. Сама задача занимается лишь формированием файлов, их отсылка на сервер DNS, а также манипуляции на сервере производит скрипт deleter.sh

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, error, moduleId, setup, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteZonesFromServer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`
  `protected boolean`
  `initTask()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getError, getFinishTime, getModuleId, getOperatingTime, getPriority, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, setPriority, startTask, taskParameters, to`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteZonesFromServer

    public DeleteZonesFromServer()

- ## Method Details

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`